package filter;

import java.io.*;

import javax.swing.filechooser.FileFilter;

public class JpegWatermarkFilter extends FileFilter {

	@Override
	public boolean accept(File file) {

		if (file.isDirectory()) {
			return true;
		}

		String name = file.getName();
		return name.endsWith(".jpeg");
	}

	@Override
	public String getDescription() {
		return "JPEG Files (*.jpeg)";
	}
}