package utils;

import model.*;

public class LayerListUtils {

	public static void makeIsland(LayerList layerList, int x, int y) {
		CellUtils.makeIsland(getCurrentBoard(layerList).getCell(x, y));
	}

	/** V}_ł */
	public static void makeIslandLocked(LayerList layerList, int x, int y) {
		CellUtils.makeIslandLocked(getCurrentBoard(layerList).getCell(x, y));
	}

	protected static Board getCurrentBoard(LayerList layerList) {
		return layerList.getMaps().get(layerList.getLayer());
	}

	public static void deleteRegion(LayerList layerList, Coordinate coordinate) {
		BoardUtils.deleteRegion(getCurrentBoard(layerList), coordinate);
	}

	public static void setMap(LayerList layerList, int masu, int minX,
			int maxX, int minY, int maxY) {
		BoardUtils.setMap(getCurrentBoard(layerList), masu, minX, maxX, minY,
				maxY);
	}

	/** bN[ĥƂ̓ */
	public static void setMapLocked(LayerList layerList, int masu, int minX,
			int maxX, int minY, int maxY) {
		BoardUtils.setMapLocked(getCurrentBoard(layerList), masu, minX, maxX, minY, maxY);
	}

	public static void setNumber(LayerList layerList, int i, int x, int y) {
		CellUtils.setNumber(getCurrentBoard(layerList).getCell(x, y), i);
	}

	public static void setNumber(LayerList layerList, int i,
			Coordinate coordinate) {
		CellUtils.setNumber(getCurrentBoard(layerList).getCell(
				coordinate.getX(), coordinate.getY()), i);
	}

	public static void setBamboo(LayerList layerList, String string, int x,
			int y) {
		CellUtils.setBamboo(getCurrentBoard(layerList).getCell(x, y), string);
	}

	public static void setBambooLocked(LayerList layerList, String string,
			int x, int y) {
		CellUtils.setBambooLocked(getCurrentBoard(layerList).getCell(x, y),
				string);
	}

	public static void setCross(LayerList layerList, int x, int y) {
		CellUtils.setCross(getCurrentBoard(layerList).getCell(x, y));
	}

	public static void setCrossLocked(LayerList layerList, int x, int y) {
		CellUtils.setCrossLocked(getCurrentBoard(layerList).getCell(x, y));		
	}


}
